﻿/*
Copyright (c) 2010 Lance Ward
This software is licensed under the MIT license, except where otherwise noted.
For complete license details, refer to license.txt
*/

using System;
using System.Windows.Forms;
using System.Drawing;

namespace ADN
{
	public class ADNToolStripColorTable : ProfessionalColorTable
	{		
		private Color flatColor = Color.FromArgb(248, 248, 248);	//248 = Light, 240 Normal
		
		public ADNToolStripColorTable(Color backColor)
		{
			flatColor = backColor;
		}

		public override System.Drawing.Color ToolStripGradientBegin
		{
			get { return flatColor; }
		}

		public override System.Drawing.Color ToolStripGradientMiddle
		{
			get { return flatColor; }
		}

		public override System.Drawing.Color ToolStripGradientEnd
		{
			get { return flatColor; }
		}

		public override System.Drawing.Color ToolStripBorder
		{
			get { return flatColor; }
		}
	}
}
