﻿/*
Copyright (c) 2010 Lance Ward
This software is licensed under the MIT license, except where otherwise noted.
For complete license details, refer to license.txt
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using System.Drawing;

namespace ADNLib
{
    [Serializable]
	public class Frame
	{
		private List<XObject> xObjects = new List<XObject>();
        private List<Motion> motions = new List<Motion>();

        private int startFrame = 0;
        private int span = 1;

        public Frame() { }

        public Frame(int startFrame, int span)
        {
            this.startFrame = startFrame;
            this.span = span;
        }

        [XmlElement]
        public int StartFrame
        {
            get { return startFrame; }
            set { startFrame = value; }
        }

        [XmlElement]
        public int Span
        {
            get { return span; }
            set { span = value; }
        }		
        
        [XmlElement("OBJECT")]
		public List<XObject> XObjects
		{
			get { return xObjects; }
			set { xObjects = value; }
		}

        [XmlElement("MOTION")]
        public List<Motion> Motions
        {
            get { return motions; }
            set { motions = value; }
        }
	}
}
